﻿using JewelryStoreContracts.BindingModels;
using JewelryStoreContracts.SearchModels;
using JewelryStoreContracts.ViewModels;
using JewerlyStoreDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace JewelryStoreContracts.StoragesContracts
{
	public interface IShopStorage
	{
		List<ShopViewModel> GetFullList();
		List<ShopViewModel> GetFilteredList(ShopSearchModel model);
		ShopViewModel? GetElement(ShopSearchModel model);
		ShopViewModel? Insert(ShopBindingModel model);
		ShopViewModel? Update(ShopBindingModel model);
		ShopViewModel? Delete(ShopBindingModel model);
        bool SellJewels(IJewelModel model, int count);
    }
}
