﻿using JewerlyStoreDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace JewelryStoreContracts.ViewModels
{
	public class ShopViewModel : IShopModel
	{
		[DisplayName("Название магазина")]
		public string ShopName { get; set; } = string.Empty;

		[DisplayName("Адрес магазина")]
		public string Address { get; set; } = string.Empty;

		[DisplayName("Дата открытия")]
		public DateTime DateOpen { get; set; } = DateTime.Now;
        [DisplayName("Макс. кол-во изделий")]
        public int MaxCountJewels { get; set; }
        public Dictionary<int, (IJewelModel, int)> ShopJewels { get; set; } = new();
		public int Id { get; set; }
	}
}
