﻿using JewerlyStoreDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace JewelryStoreContracts.BindingModels
{
	public class ShopBindingModel : IShopModel
	{
		public string ShopName { get; set; } = string.Empty;
		public string Address { get; set; } = string.Empty;
		public DateTime DateOpen { get; set; } = DateTime.Now;
		public Dictionary<int, (IJewelModel, int)> ShopJewels { get; set; } = new();
        public int MaxCountJewels { get; set; }
        public int Id { get; set; }
	}
}
