﻿using JewelryStoreContracts.BindingModels;
using JewerlyStoreDataModels.Models;
using JewelryStoreContracts.ViewModels;
using JewelryStoreContracts.SearchModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace JewelryStoreContracts.BusinessLogicsContracts
{
	public interface IShopLogic
	{
		List<ShopViewModel>? ReadList(ShopSearchModel? model);
		ShopViewModel? ReadElement(ShopSearchModel model);
		bool Create(ShopBindingModel model);
		bool Update(ShopBindingModel model);
		bool Delete(ShopBindingModel model);
		bool AddJewel(ShopSearchModel model, IJewelModel Jewel, int count);
        bool SellJewels(IJewelModel model, int count);
    }
}
