﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace JewerlyStoreDataModels.Models
{
	public interface IShopModel : IId
	{
		string ShopName { get; }
		string Address { get; }
		DateTime DateOpen { get; }
        int MaxCountJewels { get; }
        Dictionary<int, (IJewelModel, int)> ShopJewels { get; }
	}
}
